%global pypi_name janome
%global egg_name Janome

Name:           python-%{pypi_name}
Version:        0.4.1
Release:        1%{?dist}
Summary:        Japanese morphological analysis engine

License:        AL2
URL:            https://mocobeta.github.io/janome/en/
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/Janome-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Janome :target:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Janome :target:


%prep
%autosetup -n Janome-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
##%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/janome
%{_bindir}/janome.bat
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{egg_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Sep 30 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.4.1-1
- Initial package.
